Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ItemEditor

    java.lang.Object
      ix.ip2.ItemEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Direct Known Subclasses:
  ActivityEditor, IssueEditor

    public abstract class ItemEditor

extends java.lang.Object
implements java.awt.event.ActionListener

A simple editor for entering and viewing individual items.

Nested Class Summary
`protected class` | `ItemEditor.EditPanel` Item-editing panel
`protected static class` | `ItemEditor.ItemTextArea` A text area that looks disabled when it's no editable.
`(package private) class` | `ItemEditor.TextViewFrame`
`(package private) class` | `ItemEditor.TreeViewFrame`

Field Summary
`protected AgendaViewer` | `agendaViewer`
`protected Ip2` | `agent`
`protected java.awt.Container` | `contentPane`
`protected ItemEditor.EditPanel` | `editPanel`
`protected javax.swing.JMenu` | `fileMenu`
`protected javax.swing.JFrame` | `frame`
`protected java.lang.String` | `itemType`
`protected ItemEditor.TextViewFrame` | `statusView`
`protected ItemEditor.TextViewFrame` | `textView`
`protected java.lang.String` | `title`
`protected ItemEditor.TreeViewFrame` | `treeView`
`protected javax.swing.JMenu` | `viewMenu`
`protected XMLTranslator` | `viewXMLTranslator`

Constructor Summary
`ItemEditor(AgendaViewer agendaViewer, java.lang.String title)`

Method Summary
`abstract void` | `actionPerformed(java.awt.event.ActionEvent e)` Action interpreter.
`protected void` | `addEndStatus(java.util.List lines, PNodeEnd ne)`
`protected void` | `addHandlerActionStatus(java.util.List lines, AgendaItem item)`
`protected void` | `addItemConditons(java.util.List lines, AgendaItem item)`
`protected void` | `addStatus(java.util.List lines, java.lang.String prefix, HasStatus h)`
`(package private) void` | `clearViews()`
`protected void` | `ensureStatusView()`
`protected void` | `ensureTextView()`
`protected void` | `ensureTreeView()`
`boolean` | `handleViewCommand(java.awt.event.ActionEvent e)` Interpreter for "View" menu commands.
`protected abstract ItemEditor.EditPanel` | `makeEditPanel()`
`protected javax.swing.JMenuBar` | `makeMenuBar()` Constructs the menu bar.
`protected javax.swing.JMenuItem` | `makeMenuItem(java.lang.String text)`
`protected java.lang.String` | `makeStatusText(AgendaItem item)`
`(package private) XMLTranslator` | `makeViewXMLTranslator()` Returns an XMLTranslator for use in the XML text and tree views.
`protected void` | `setUpFrame()`
`void` | `setVisible(boolean v)`
`void` | `showItem(AgendaItem i)`
`void` | `showNewItem()`
`protected void` | `showStatusIfVisible(AgendaItem item)`
`protected void` | `showTextIfVisible(AgendaItem item)`
`protected void` | `showTreeIfVisible(AgendaItem item)`
`(package private) void` | `showViewsIfVisible(AgendaItem item)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    protected java.lang.String title

### frame

    protected javax.swing.JFrame frame

### contentPane

    protected java.awt.Container contentPane

### fileMenu

    protected javax.swing.JMenu fileMenu

### viewMenu

    protected javax.swing.JMenu viewMenu

### agendaViewer

    protected AgendaViewer agendaViewer

### itemType

    protected java.lang.String itemType

### editPanel

    protected ItemEditor.EditPanel editPanel

### textView

    protected ItemEditor.TextViewFrame textView

### treeView

    protected ItemEditor.TreeViewFrame treeView

### statusView

    protected ItemEditor.TextViewFrame statusView

### viewXMLTranslator

    protected XMLTranslator viewXMLTranslator

### agent

    protected Ip2 agent

Constructor Detail

### ItemEditor

    ItemEditor(AgendaViewer agendaViewer,
               java.lang.String title)

Method Detail

### setUpFrame

    protected void setUpFrame()

### makeEditPanel

    protected abstract ItemEditor.EditPanel makeEditPanel()

### setVisible

    public void setVisible(boolean v)

### showItem

    public void showItem(AgendaItem i)

### showNewItem

    public void showNewItem()

### makeMenuBar

    protected javax.swing.JMenuBar makeMenuBar()

  Constructs the menu bar. This method add standard items to the "File" and "View" menus; subclasses may wish to add other items before or after calling this method as super.makeMenuBar().

### makeMenuItem

    protected javax.swing.JMenuItem makeMenuItem(java.lang.String text)

### actionPerformed

    public abstract void actionPerformed(java.awt.event.ActionEvent e)

  Action interpreter. Note that the ItemEditor will be wrapped in a CatchingActionListener when used as an ActionListener.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  See Also:
    `CatchingActionListener`

### handleViewCommand

    public boolean handleViewCommand(java.awt.event.ActionEvent e)

  Interpreter for "View" menu commands.

### showViewsIfVisible

    void showViewsIfVisible(AgendaItem item)

### clearViews

    void clearViews()

### ensureTextView

    protected void ensureTextView()

### showTextIfVisible

    protected void showTextIfVisible(AgendaItem item)

### ensureTreeView

    protected void ensureTreeView()

### showTreeIfVisible

    protected void showTreeIfVisible(AgendaItem item)

### makeViewXMLTranslator

    XMLTranslator makeViewXMLTranslator()

  Returns an XMLTranslator for use in the XML text and tree views.

### ensureStatusView

    protected void ensureStatusView()

### showStatusIfVisible

    protected void showStatusIfVisible(AgendaItem item)

### makeStatusText

    protected java.lang.String makeStatusText(AgendaItem item)

### addStatus

    protected void addStatus(java.util.List lines,
                             java.lang.String prefix,
                             HasStatus h)

### addEndStatus

    protected void addEndStatus(java.util.List lines,
                                PNodeEnd ne)

### addHandlerActionStatus

    protected void addHandlerActionStatus(java.util.List lines,
                                          AgendaItem item)

### addItemConditons

    protected void addItemConditons(java.util.List lines,
                                    AgendaItem item)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD